[Bug 5254] New: homebrew dependency in the OS X 3.8.2 installer for 10.11

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Bug 5254] New: homebrew dependency in the OS X 3.8.2 installer for 10.11

mercurial-bugs
https://bz.mercurial-scm.org/show_bug.cgi?id=5254

            Bug ID: 5254
           Summary: homebrew dependency in the OS X 3.8.2 installer for
                    10.11
           Product: Mercurial
           Version: 3.8.2
          Hardware: Macintosh
                OS: Mac OS
            Status: UNCONFIRMED
          Severity: bug
          Priority: wish
         Component: Mercurial
          Assignee: [hidden email]
          Reporter: [hidden email]
                CC: [hidden email]

With the 3.8.2 package installer for OS X 10.11 you have introduced a
dependency on homebrew being installed which is not desired as it clash with
other similar package managers such as port.

The error message after installing 3.8.2 is:

hg -u pull
-bash: /usr/local/bin/hg: /opt/homebrew/opt/python/bin/python2.7: bad
interpreter: No such file or directory

Please fix. Using the 3.8.2 version for 10.10 meanwhile.

Thanks!
Geir Nøklebye

--
You are receiving this mail because:
You are on the CC list for the bug.
_______________________________________________
Mercurial-devel mailing list
[hidden email]
https://www.mercurial-scm.org/mailman/listinfo/mercurial-devel